1. Sandbox
Cold Mail Reseller
  • Cold Mail Reseller API Documentation
  • Users
    • Retrieve all users
      GET
    • Get User Details
      GET
    • Create User
      POST
    • Update User Details
      PUT
    • Delete User
      DELETE
  • Geo
    • Get Countries List
      GET
    • Get States of a Country
      GET
  • Domains
    • Renewal
      • Domain Renewal Overview
      • Get domain renewal pricing
      • Renew domain
      • Enable or disable domain auto-renew
    • Get Domains For User
      GET
    • Suggest Available Domains
      POST
    • Get Single Available Domain
      POST
    • Check If Workspace Exists
      POST
    • Add domain forwarding
      POST
    • Add email forwarding
      POST
    • Add Google Client ID to Domain
      POST
    • Remove domains
      DELETE
  • Dns
    • Get dns records for a domain
      GET
    • Adds dns record
      POST
    • Update dns records
      PUT
    • Delete dns records
      DELETE
  • Orders
    • Get Order Details
    • Get Order Status
    • Creates order json
    • Order mailboxes (json)
    • Process the Order
    • Create Order
    • Add mailboxes to a subscription
  • Mailboxes
    • Get mailboxes for user
    • Get mailbox details by id
    • Get Mailbox Admin Details
    • Update mailbox details
    • Remove mailbox
  • Subscriptions
    • 1+ Year Subscriptions
      • One Plus Year Subscription Overview
      • Subscription Recreation
    • Get All Subscriptions
    • Renew Subscriptions
    • Toggle Auto renewal
    • Cancel Subscription
  • Webhooks
    • Overview
    • Events
      • Mailbox Events
      • Prewarmup Events
      • Domain Events
      • Subscription Events
  • Export
    • Platform
      • Platform Exports API
      • Get Connected Platforms
      • Add Platform Credentials
      • Remove Platform Credential
      • Export Mailboxes
    • Re-export a mailbox (Oauth)
  • Pre-warmup
    • Sandbox
      • Sandbox Pre-Warmup Integration
      • [SANDBOX] - Get All Pre-Warmup Mailboxes
        GET
      • [SANDBOX] - Order Pre-Warmup Mailboxes
        POST
      • [SANDBOX] - Reset Pre-Warmup Data
        GET
    • Get All Pre-Warmup Mailboxes
      GET
    • Order Pre-Warmup Mailboxes
      POST
  • Get Wallet Details
    GET
  • Send error
    POST
  1. Sandbox

[SANDBOX] - Get All Pre-Warmup Mailboxes

GET
/sandbox/pre-warmup
Returns the fixed inventory of sandbox domains available for mock pre-warmup orders. Each domain includes its pre-warmed mailboxes, purchase price, and renewal price. Filter by service provider or search by domain name substring.

Request

Authorization
API Key
Add parameter in header
cmr-x-api-key
Example:
cmr-x-api-key: ********************
or
Query Params

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://customers.coldmailreseller.com/api/v1/integration/sandbox/pre-warmup?serviceProvider=GOOGLE&page=1&limit=100&contains=' \
--header 'cmr-x-api-key: <api-key>'

Responses

🟢200Success
application/json
Bodyapplication/json

Examples
{
    "status": 200,
    "message": "Pre-warmed up domains fetched successfully",
    "data": {
        "inventory": [
            {
                "domain": "sandbox.nexora-tech.com",
                "preWarmedUpMailboxes": [
                    {
                        "email": "jwilson@sandbox.nexora-tech.com",
                        "firstName": "James",
                        "lastName": "Wilson",
                        "createdAt": "2025-01-15T10:00:00.000Z",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg"
                    },
                    {
                        "email": "emma.d@sandbox.nexora-tech.com",
                        "firstName": "Emma",
                        "lastName": "Davis",
                        "createdAt": "2025-01-15T10:00:00.000Z",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg"
                    },
                    {
                        "email": "noah.ops@sandbox.nexora-tech.com",
                        "firstName": "Noah",
                        "lastName": "Clark",
                        "createdAt": "2025-01-15T10:00:00.000Z",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg"
                    }
                ],
                "purchasePrice": 30,
                "renewalPrice": 15
            },
            {
                "domain": "mail-sandbox.brightpathlabs.com",
                "preWarmedUpMailboxes": [
                    {
                        "email": "olivia.m@mail-sandbox.brightpathlabs.com",
                        "firstName": "Olivia",
                        "lastName": "Moore",
                        "createdAt": "2025-02-10T08:30:00.000Z",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg"
                    },
                    {
                        "email": "liam.taylor@mail-sandbox.brightpathlabs.com",
                        "firstName": "Liam",
                        "lastName": "Taylor",
                        "createdAt": "2025-02-10T08:30:00.000Z",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg"
                    },
                    {
                        "email": "sophia.hr@mail-sandbox.brightpathlabs.com",
                        "firstName": "Sophia",
                        "lastName": "Anderson",
                        "createdAt": "2025-02-10T08:30:00.000Z",
                        "profilePicture": "https://cdn.zapmail.ai/mailboxes/James-Carter-SelectAll-1756754834597.jpg"
                    }
                ],
                "purchasePrice": 30,
                "renewalPrice": 15
            }
        ],
        "currentPage": 1,
        "totalPages": 1,
        "totalDomains": 2,
        "totalMailboxes": 6
    }
}
Modified at 2026-06-23 16:21:02
Previous
Sandbox Pre-Warmup Integration
Next
[SANDBOX] - Order Pre-Warmup Mailboxes
Built with